@charset "UTF-8";
@import url("../fonts/roboto.css");
@import url("../fonts/material-icons.css");
md-tabs > md-tabs-wrapper > md-tabs-canvas > md-pagination-wrapper > md-tab-item:not([disabled]).md-active,
md-tabs > md-tabs-wrapper > md-tabs-canvas > md-pagination-wrapper > md-tab-item:not([disabled]).md-active md-icon,
md-tabs.md-accent > md-tabs-wrapper > md-tabs-canvas > md-pagination-wrapper > md-tab-item:not([disabled]).md-active md-icon,
md-tabs.md-default-theme.md-accent > md-tabs-wrapper > md-tabs-canvas > md-pagination-wrapper > md-tab-item:not([disabled]).md-focused,
md-tabs.md-default-theme.md-accent > md-tabs-wrapper > md-tabs-canvas > md-pagination-wrapper > md-tab-item:not([disabled]).md-focused md-icon {
  color: #333 !important;
}

body {
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

md-tabs.title-no-transform .md-tab {
  text-transform: none;
}

.md-tab:focus-visible {
  border: 4px solid #000;
  border-radius: 8px !important;
}

.accessible-font {
  font-size: 14pt !important;
  font-weight: bold !important;
}

.md-button.zoom-button {
  min-width: 30%;
}

/* This will disable the `ink-bar` animation (border-bottom of selected tab) */
.no-transition md-tabs md-ink-bar {
  transition: none;
}

/* This will disable the tab change animation in md-tabs */
.no-transition md-tabs [role=tabpanel] {
  transition: none;
}

.md-no-scroll {
  overflow: auto !important;
}

ul.e-drpdwn.e-ul {
  top: -197px !important;
}

.md-visually-hidden {
  width: inherit !important;
}

md-checkbox.remember-me::after {
  content: "☐";
  width: 10px;
  height: 10px;
  border: none;
  display: inline-block;
  margin-left: 5px;
}

md-checkbox.remember-me.md-checked::after {
  content: "☑";
}

md-input-container.hide-error-msg .md-errors-spacer:empty {
  display: none;
}

.no-margin {
  margin: 0px;
}

.disabled {
  pointer-events: none;
  cursor: not-allowed;
  opacity: 0.6;
}

.drilldown-column-select {
  height: 100%;
}

.e-splitter .e-splitbar .e-icon {
  z-index: 0 !important;
}

.permission-icon {
  width: 16px;
  height: 16px;
  display: block;
  margin-left: auto;
  margin-right: auto;
  background-image: url(../images/PermissionSprite.png);
  background-repeat: no-repeat;
  background-position-x: 0px;
}

.advanced-text {
  height: 100%;
  min-height: 400px !important;
}

.md-widget-engine-widget-tile-title {
  font-size: 14pt;
  font-weight: bold;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.owner {
  background-position-y: 0px;
}

.editor {
  background-position-y: -16px;
}

.viewer {
  background-position-y: -32px;
}

.creator {
  background-position-y: -48px;
}

.permission-deny {
  background-position-y: -64px;
}

.confirm-facility-tooltip {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  cursor: pointer;
  user-select: none;
}

.confirm-facility-tooltip > em {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  right: 2px;
  background-color: #448AFF;
  width: 23px;
  height: 23px;
  border-radius: 50%;
  color: white;
  font-family: Source Sans Pro;
}

.confirm-facility-tooltip > md-card {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  left: 20px;
  top: -16px;
  z-index: 5;
  width: 310px;
  border: 2px solid #448AFF;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26);
}

.confirm-facility-tooltip-header {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 15px;
  text-align: center;
  background-color: #448AFF;
  color: white;
  font-weight: 500;
  height: 38px;
  width: 100%;
}

.show-tooltip-transition {
  opacity: 1;
  transition: opacity 0.15s ease-in;
}

.hide-tooltip-transition {
  opacity: 0;
  transition: opacity 0.3s ease-out;
}

.input-border {
  width: 100%;
  background-color: white;
  border-width: 2px;
  border-style: inset;
  border-color: initial;
  border-image: initial;
  display: flex;
}

.input-border input {
  background-color: inherit;
  width: 100%;
  border: none;
}

.password-tooltip {
  margin-left: 10%;
  font-size: 11px;
}

#editing-toolbar {
  position: fixed;
  height: 30px;
  background-color: #ffffff;
  width: 100%;
  max-height: 40px;
  padding: 20px 0 20px 0;
  top: 50px;
  background-color: rgb(255, 87, 34);
  color: white;
  z-index: 66;
}

@media (min-width: 1600px) {
  .password-tooltip {
    margin-left: 6%;
  }
}
@media (min-width: 2000px) {
  .password-tooltip {
    margin-left: 4%;
  }
}
/* fix for button color */
md-dialog md-dialog-actions button.md-button.md-primary.md-confirm-button span {
  color: #111111;
}

.md-dialog-container .md-button.md-default-theme.md-widget-remove-theme,
.md-button.md-widget-remove-theme {
  color: rgb(68, 138, 255);
}

md-dialog.fullscreen-dialog {
  max-width: 100%;
  max-height: 100%;
  width: 90%;
  height: 90%;
  border-radius: 0;
}

md-dialog.fullscreen-dialog md-dialog-content {
  width: 100%;
}

.CodeMirror-wrap {
  height: 50vh !important;
}

.CodeMirror-linenumber {
  color: #000 !important;
}

#login-error-message span {
  font-size: 14px;
  color: #B00020; /* Accessible dark red */
}

.section-header {
  background-color: #eee;
  color: #444444;
  font-size: 16px;
}

.section-header h2 {
  font-size: 16px;
}

#daterangepicker_popup {
  z-index: 65 !important;
}

@media (max-width: 768px) {
  #daterangepicker_popup {
    left: 2px;
  }
  #daterangepicker_popup .e-datepickers-popup {
    display: flex;
    justify-content: space-between;
  }
  #daterangepicker_popup .e-daterangepicker-popup .e-drp-button.e-drp-reset {
    float: left;
  }
  #daterangepicker_popup .e-drp-button.e-btn.e-select.e-flat {
    float: right;
  }
}
@media (max-width: 400px) {
  #daterangepicker_popup .e-datepickers-popup {
    flex-flow: column;
  }
}
@media (min-width: 600px) {
  date-filter-widget .layout-align-center-center {
    flex-direction: row;
  }
  #daterangepicker_popup {
    width: auto;
    max-width: 95%;
  }
}
md-toolbar .md-button.md-icon-button md-icon,
button.md-button.md-fab md-icon {
  color: inherit;
}

md-toolbar .md-button.md-icon-button md-icon.md-icon-isFavorite {
  color: #FFCA28;
}

md-toolbar.dashboard-toolbar {
  position: fixed;
  max-height: 50px;
  top: 0px;
  z-index: 66;
  border-bottom: 1px solid #ccc;
}

@media (max-width: 1300px) {
  md-toolbar.dashboard-toolbar input {
    font-size: 75%;
  }
  md-toolbar.dashboard-toolbar .layout-align-center-center.layout-row {
    margin: 5px;
    justify-content: space-between;
  }
}
@media (max-width: 700px) {
  md-toolbar.dashboard-toolbar input {
    font-size: 60%;
    margin: 3px;
  }
  md-toolbar.dashboard-toolbar .flex-50,
  .layout-row > .flex-50 {
    max-width: 72%;
  }
  md-toolbar md-menu.show-xs {
    margin: inherit;
  }
  section.section-header-edit {
    padding-top: 20px;
  }
}
md-icon.md-icon-isFavorite {
  color: #FFCA28;
}

.md-button.margin-none {
  margin: auto 0;
  padding: 0;
}

.object-editor-label {
  color: #444444;
  font-size: 16px;
  font-family: Roboto, "Helvetica Neue", sans-serif;
  font-weight: normal;
}

.radio-button-label {
  margin-right: 12px;
}

.error {
  color: #B8003D !important;
  font-weight: bold;
}

ul[dnd-list] .dndDraggingSource {
  display: none;
}

ul[dnd-list] .dndPlaceholder {
  background-color: #ddd;
  display: block;
  min-height: 42px;
}

.dragHandle {
  cursor: move;
}

md-card {
  cursor: pointer;
}

.truncate {
  overflow: hidden;
  text-overflow: ellipsis;
}

.nowrap {
  white-space: nowrap;
}

.tile-view md-card {
  min-height: 200px;
  max-height: 200px;
  height: 200px;
}
.tile-view md-card md-card-title-text {
  max-height: 48px;
  max-width: 80%;
  overflow: hidden;
  text-overflow: ellipsis;
}
.tile-view md-card md-card-footer {
  overflow: hidden;
  max-height: 73px;
}
.tile-view md-card md-card-footer div.truncate {
  min-height: 13px;
  max-width: 100%;
}

/* GIS */
.eq6-crosstab-header-row td,
.eq6-crosstab-row td {
  border: 1px solid #ccc;
  padding: 2px;
}

.md-widget-engine-widget-tile-content .esri-basemap-gallery__item-title,
.md-widget-engine-widget-tile-content .esri-layer-list__item-title {
  word-break: normal;
}

article.esri-popup__content {
  overflow-x: auto;
}

/* hide delete button from EDD upload widget */
edd-upload-widget .e-upload-file .e-action-perform .e-icon.e-delete {
  display: none;
}

/* limit width of select box in list filter widget from extending beyond widget width */
list-filter-widget select {
  width: 100%;
}

/* fix alignment of md-button in list filter editor to match other elements */
.md-button.align-list-filter-buttons {
  margin-top: 16px;
  margin-bottom: 0px;
}

.map-widget-size {
  padding: 0;
  margin: 0;
  height: 100%;
  width: 100%;
  min-height: 400px;
  min-width: 400px;
}

/* webgl unsupported message */
.webgl-not-supported-webmap,
.webgl-not-supported-tlmap {
  position: absolute;
  top: 0;
  display: none;
}

img.dp-eia-icon {
  width: 32px;
  height: 32px;
}

img.dp-report-icon {
  width: 64px;
  height: 64px;
}

.dp-report-title.md-title {
  color: #666666;
  font-weight: bold;
}

span.ezView-details {
  color: #7ea1b4;
  font-weight: bold;
}

md-checkbox.md-default-theme[disabled] .md-label, md-checkbox[disabled] .md-label {
  color: rgba(0, 0, 0, 0.38) !important;
}

md-toolbar.dashboard-toolbar {
  width: 100%;
  position: fixed;
  max-height: 50px;
  z-index: 66;
}

#EIAwizard md-tabs-wrapper {
  display: none;
}

#EIAwizard {
  margin: 15px;
}

#EIAdeliverymethod md-tabs-wrapper {
  display: block;
}

@media (max-width: 599px) {
  md-toolbar.dashboard-toolbar {
    max-height: 74px;
  }
  .dashboard-subtitle {
    margin: 0px;
  }
  .md-button {
    min-width: 0px !important;
  }
  .mobileFlex {
    display: flex;
  }
}
.dashboardTitle {
  text-align: center;
  align-content: center;
  flex-grow: 0;
}

.dashboardTitle.dashboardTitle-primary {
  flex-grow: 2;
}

@media (max-width: 768px) {
  .dashboardTitle {
    padding: 8px 2px;
    text-align: left;
  }
  .dashboardTitle.dashboardTitle-primary {
    flex-direction: column;
  }
  .dashboardTitle.dashboardTitle-primary h2 {
    min-height: 29px;
  }
  .dashboardTitle.dashboardTitle-primary p.dashboard-subtitle {
    font-size: 14px;
  }
}
.dashboardTitle h2 {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  min-width: 50px;
  width: 100%;
}

/* ":active" is not supported in Chrome for Android */
.dashboardTitle h2:active {
  overflow: visible;
  white-space: normal;
  position: absolute;
  width: 85%;
  top: 6px;
  z-index: 100;
}

.dashboard-subtitle {
  font-size: 14pt;
  font-weight: bold;
  margin: 0 auto;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  min-width: 50px;
  width: 100%;
  display: block;
}

.dashboard-subtitle:active {
  display: flex;
  overflow: visible;
  white-space: normal;
  position: absolute;
  width: 100%;
  top: 6px;
  left: 1%;
  z-index: 100;
}

.dashboard-menu-icon-fix {
  margin: auto 16px auto 0;
}

section md-toolbar .md-menu {
  margin: auto 5px;
}

.dashboard-menu-content {
  pointer-events: auto;
  max-height: 90vh;
}

.dashboard-menu-content facility-chooser.margin-none {
  padding-left: 0px;
}

.dashboard-menu-content dashboard-chooser.margin-none {
  padding-left: 2px;
}

#dashboardChooserText {
  padding-right: 16px;
}

.dashboard-menu-content facility-chooser.margin-none img,
.dashboard-menu-content dashboard-chooser.margin-none img {
  margin-right: 17px;
}

.md-raised.md-button.dp-dropdown.e-split-btn.e-txt.e-select {
  font-family: Roboto, "Helvetica Neue", sans-serif;
  font-weight: 500;
  font-size: 14px;
  border: 0px;
  color: #fff;
  background: #004f86;
}

.md-raised.md-button.dp-dropdown.e-split-btn.e-txt.e-select:hover {
  background: #0173c7;
}

.dp-text-label .md-select-value {
  border-bottom-style: none !important;
}

.split-button-group {
  cursor: pointer !important;
  display: flex !important;
  margin-top: 6px !important;
}

.split-button-group .split-button-download {
  border-top-right-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
  font-family: Roboto, "Helvetica Neue", sans-serif;
  font-weight: 500;
  font-size: 14px;
  z-index: 11;
  margin-right: 2px;
}

.split-button-group .split-button-dropdown {
  width: 24px !important;
  min-width: 24px !important;
  border-top-left-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
  z-index: 10;
}

.e-split {
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.26);
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  border-top-right-radius: 5px;
  border-top-left-radius: 5px;
}

/* Set drag clone ahead of modal popups */
.e-dragclone {
  z-index: 100 !important;
}

.dp-list {
  display: none;
}

section.isEditing .rg-bottom {
  visibility: visible;
}

.rg-right,
.rg-bottom {
  visibility: hidden;
}

.isEditing .rg-right,
.isEditing .rg-bottom {
  visibility: visible;
}

explorer-widget .rg-right {
  visibility: visible;
}

document-browser-widget .rg-right {
  visibility: visible;
}

.custom-image img {
  max-width: 100%;
  height: auto;
}

/* DocumentBrowser */
.wrap {
  word-wrap: break-word;
  white-space: pre-wrap;
  white-space: -moz-pre-wrap;
  /* Firefox */
}

.menu {
  overflow-wrap: break-word;
  overflow: scroll;
  max-height: 600px;
}

.menu ul li {
  padding: 5px 15px 5px 15px;
  border-left: 2px solid grey;
}

.icon {
  display: block;
  float: left;
  width: 16px;
  height: 16px;
}

span.expanded {
  background-image: url("../images/expanded.png");
}

span.collapsed {
  background-image: url("../images/collapsed.png");
}

.active {
  background-color: #d9d9d9;
}

.label {
  color: #607D8B;
}

/* highcharts, time series widget */
.highcharts-container {
  margin: 0 !important;
}

.highcharts-policy-tooltip {
  border: black 1px solid;
  padding: 8px 15px;
  position: absolute;
  cursor: pointer;
  font-size: 13px;
  bottom: 20px;
  left: 180px;
  width: 200px;
  background-color: rgb(250, 250, 250);
  z-index: 1;
}

@media (min-width: 600px) {
  .highcharts-policy-tooltip {
    left: 125px;
    width: 350px;
  }
}
@media (min-width: 1133px) {
  .highcharts-policy-tooltip {
    left: 180px;
  }
}
@media (min-width: 1451px) {
  .highcharts-policy-tooltip {
    left: 225px;
    width: 400px;
  }
}
.md-input-container {
  margin: 5px 0 !important;
}

.left-margin {
  margin-left: 50px;
}

.chart-dimensions {
  min-height: 400px;
  width: 100%;
}

ul.tsw-section-list {
  padding-bottom: 10px;
}

li.tsw-section-item {
  display: inline-block;
  list-style-type: none;
  padding: 4px;
  margin: 3px 3px 0 0;
}

md-dialog .md-checked span,
md-dialog .md-checked div.md-label,
.md-widget-engine-widget-tile-content-container .md-checked span,
.md-widget-engine-widget-tile-content-container .md-checked div.md-label {
  font-weight: bold;
  color: #444444;
}

md-dialog md-radio-button:not(.md-checked) span,
md-dialog md-radio-button:not(.md-checked) div.md-label,
md-dialog md-checkbox:not(.md-checked) div.md-label,
md-dialog md-switch:not(.md-checked) div.md-label,
.md-widget-engine-widget-tile-content-container md-radio-button:not(.md-checked) span,
.md-widget-engine-widget-tile-content-container md-radio-button:not(.md-checked) div.md-label,
.md-widget-engine-widget-tile-content-container md-checkbox:not(.md-checked) div.md-label,
.md-widget-engine-widget-tile-content-container md-switch:not(.md-checked) div.md-label {
  color: #444444;
}

md-progress-linear.md-default-theme .md-bar,
md-progress-linear .md-bar {
  background-color: rgb(68, 138, 255);
}

.edd-overlay {
  opacity: 0.5;
}

.edd-overlay a {
  cursor: not-allowed;
}

.icon-small {
  width: 24px;
  min-width: 24px;
}

/* traffic light widget */
.traffic-light-icon {
  background-repeat: no-repeat;
  width: 16px;
  height: 16px;
  background-size: contain;
}

.traffic-light-icon-green {
  background-image: url("../images/green.svg");
}

.traffic-light-icon-yellow {
  background-image: url("../images/yellow.svg");
}

.traffic-light-icon-red {
  background-image: url("../images/red.svg");
}

.traffic-light-icon-blue {
  background-image: url("../images/blue.svg");
}

/* dropdown list from Boostrap CSS */
.dropdown-menu {
  position: absolute;
  top: 100%;
  left: 0;
  z-index: 1000;
  display: none;
  float: left;
  min-width: 160px;
  padding: 5px 0;
  margin: 2px 0 0;
  font-size: 14px;
  list-style: none;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ccc;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 4px;
  -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
}

.dropdown-menu.pull-right {
  right: 0;
  left: auto;
}

.dropdown-menu .divider {
  height: 1px;
  margin: 9px 0;
  overflow: hidden;
  background-color: #e5e5e5;
}

.dropdown-menu > li > a {
  display: block;
  padding: 3px 20px;
  clear: both;
  font-weight: normal;
  line-height: 1.42857143;
  color: #333;
  white-space: nowrap;
}

.dropdown-menu > li > a:hover,
.dropdown-menu > li > a:focus {
  color: #262626;
  text-decoration: none;
  background-color: #f5f5f5;
}

.dropdown-menu > .active > a,
.dropdown-menu > .active > a:hover,
.dropdown-menu > .active > a:focus {
  color: #fff;
  text-decoration: none;
  background-color: #428bca;
  outline: 0;
}

.dropdown-menu > .disabled > a,
.dropdown-menu > .disabled > a:hover,
.dropdown-menu > .disabled > a:focus {
  color: #999;
}

.dropdown-menu > .disabled > a:hover,
.dropdown-menu > .disabled > a:focus {
  text-decoration: none;
  cursor: not-allowed;
  background-color: transparent;
  background-image: none;
  filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
}

.open > .dropdown-menu {
  display: block;
}

.open > a {
  outline: 0;
}

.dropdown-menu-right {
  right: 0;
  left: auto;
}

.dropdown-menu-left {
  right: auto;
  left: 0;
}

.dropdown-header {
  display: block;
  padding: 3px 20px;
  font-size: 12px;
  line-height: 1.42857143;
  color: #999;
}

.dropdown-backdrop {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 990;
}

md-dialog-content input::-ms-clear {
  display: none;
}

.e-row[aria-selected=true] td.e-active a,
.e-alt_row[aria-selected=true] td.e-active a {
  color: #02006d;
}

.filter-on-select md-select-menu,
.filter-on-select md-select-menu md-content {
  max-height: 25em;
}

/*For the chip remove icon*/
.md-chip-remove-container {
  top: 3px;
  right: 3px !important;
  cursor: pointer;
}

.chips-overflow {
  overflow-y: auto;
  max-height: 100px;
}

/*Used to ellipsis the Report Param Editor Tree*/
.tree-view-ellipsis {
  display: inline-block;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 45ch;
}

#widgetHeaderContainer .md-dialog-container {
  height: auto !important;
}

/*Used for button spacing in fileEditor.html*/
.button-expand {
  text-align: left;
  overflow: auto;
  white-space: normal;
}

.reorder-section-container ul[dnd-list] {
  width: 500px;
}
.reorder-section-container ul[dnd-list] .dndDragging {
  border: 1px solid black;
}
.reorder-section-container ul[dnd-list] li {
  cursor: grab;
}
.reorder-section-container ul[dnd-list] h3 {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.login-container {
  width: 60%;
  min-width: 300px;
}
.login-container div > a {
  margin-top: 18px;
}
.login-container md-input-container:not(.md-input-invalid).md-input-focused md-icon {
  color: black !important;
}

.password-input md-icon {
  cursor: pointer;
}

.login-outer-container {
  box-shadow: 0 1px 5px 0 rgba(0, 0, 0, 0.2), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 3px 1px -2px rgba(0, 0, 0, 0.12);
  background-color: white;
  width: 30%;
  min-width: 300px;
  border-radius: 1%;
}

.login-input-container {
  width: 100%;
}

/*Used for accessiblity only. See: https://webaim.org/techniques/css/invisiblecontent/*/
.screenReader-only {
  position: absolute;
  left: -10000px;
  top: auto;
  width: 1px;
  height: 1px;
  overflow: hidden;
}

.welcome-background {
  background: url(../images/welcome-background.png) no-repeat center center fixed;
  background-size: cover;
}

@media (max-width: 1279px) {
  .login-outer-container {
    width: 40%;
  }
}
@media (max-width: 959px) {
  .login-container .login-input-container {
    width: 90% !important;
  }
  .login-container div > button {
    width: 215px !important;
    /*match the same size as the AAD button in mobile view*/
  }
  .login-container div > md-checkbox {
    margin-bottom: 18px !important;
  }
  .custom-image img {
    height: 100px !important;
    width: 100px !important;
  }
}
.requiredColumn .e-headercelldiv:after {
  content: " *";
  color: red;
}

.draggableGridData {
  cursor: grab;
}

[draggable=true] {
  user-select: auto !important;
}

/* fix for button colors */
.md-accent.md-fab,
.md-button.md-accent.md-fab,
.md-button.md-accent.md-raised,
.md-button.md-accent.md-raised {
  color: #fff;
}

.md-button.md-default-theme.md-primary,
.md-button.md-primary {
  color: #000;
}

.leaflet-top,
.leaflet-bottom {
  z-index: 60;
}

.leaflet-container .leaflet-pane {
  z-index: 40;
}
.leaflet-container .leaflet-control {
  z-index: 60;
}
.leaflet-container .leaflet-control-container * {
  z-index: 61;
}
.leaflet-container .leaflet-widget {
  background: whitesmoke;
}

.leaflet-marker-icon.selected {
  outline: solid 1px #FFCA28 !important;
}

.leaflet-control {
  margin: 0;
}
.leaflet-control .leaflet-control-clear {
  cursor: pointer;
}

md-input-container.md-default-theme .md-placeholder,
md-input-container .md-placeholder,
md-input-container .md-placeholder label,
md-input-container .md-select-placeholder span,
md-input-container.md-default-theme label,
md-input-container label {
  font-style: italic;
  color: #444444;
}

md-input-container.md-default-theme:not(.md-input-invalid).md-input-has-value label,
md-input-container:not(.md-input-invalid).md-input-has-value label,
md-content:not(.md-select-value) span {
  font-style: normal;
  color: #444444;
}

md-content label {
  color: #444444;
}

md-input-container:not(.md-input-invalid).md-input-focused label,
md-input-container:not(.md-input-invalid).md-input-focused md-icon {
  color: rgba(0, 0, 0, 0.87);
}
md-input-container:not(.md-input-invalid).md-input-focused .md-input {
  border-color: rgb(33, 150, 243);
}

md-select-menu md-content md-option[selected],
md-select-menu md-content md-option[selected]:focus,
md-select-menu md-content md-option[selected].md-focused {
  color: rgb(33, 150, 243);
}

md-select:not([disabled]):focus .md-select-value {
  border-bottom-color: rgb(33, 150, 243);
  color: rgba(0, 0, 0, 0.87);
}

.md-datepicker-open .md-datepicker-calendar-icon {
  color: rgb(33, 150, 243);
}

.md-calendar-date.md-focus.md-calendar-selected-date .md-calendar-date-selection-indicator {
  background: rgb(33, 150, 243);
}

.md-calendar-date.md-calendar-date-today .md-calendar-date-selection-indicator {
  border: 1px solid rgb(33, 150, 243);
}

.md-datepicker-input-container.md-datepicker-focused {
  border-bottom-color: rgb(33, 150, 243);
}

.md-calendar-date.md-calendar-date-today.md-calendar-date-disabled {
  color: rgba(33, 150, 243, 0.6);
}

.md-cancel-button {
  color: rgb(244, 67, 54) !important;
}

.icon-button {
  min-width: 36px !important;
}

.selected-folder,
.selected-file {
  background-color: #aae1fa;
}

div .download-gauge-button {
  display: flex;
  min-width: 30px;
  min-height: 30px;
  padding-right: 5px;
}
div .download-gauge-button .download-gauge-icon {
  display: flex;
}

.report-name-formatting {
  padding: 0px 10px;
  min-height: 50px;
}

.explorer_grid > .e-gridtoolbar {
  border-radius: 0;
}

.explorer_grid > .e-gridtoolbar > ul > li {
  padding: 12px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 25px;
  height: 25px;
  border-radius: 0;
}

.explorer_grid > .e-gridtoolbar > ul > li > a {
  padding-left: 6px;
  padding-bottom: -4px;
}

.explorer_grid > .e-gridtoolbar > ul > li > img {
  width: 16px;
  height: 16px;
  color: rgb(104, 105, 105);
  opacity: 0.555;
}

.label-align {
  margin: 0px 10px 5px 10px;
}

.toast-notification {
  position: fixed;
  width: 20vw;
}

.e-grid .e-gridheader .e-headercell.litholoygy-editor-custom-header {
  background-color: #ecedee;
}

.location-header-searchbox {
  border: none;
  outline: none;
  height: 48px;
  width: 100%;
  padding: 0;
}

.tool-container {
  font-weight: 700;
  font-size: 13px;
  width: 100%;
}

.selected-location {
  display: flex;
  align-items: center;
  padding: 10px 10px;
  min-height: 18px;
  margin: 0;
  width: 100%;
  background-color: rgba(75, 75, 75, 0.094);
}

.selected-sys-sample-code {
  display: flex;
  align-items: center;
  padding: 10px 10px;
  min-height: 18px;
  width: 100%;
  margin: 0;
  background-color: rgba(75, 75, 75, 0.094);
}

.sample-grid {
  min-height: 230px;
}

.test-type-grid {
  min-height: 230px;
}

.uploading-progress {
  width: 100%;
  margin: 8px 0px 8px 0px !important;
}

.lfp-tabs {
  width: 95%;
}

.lfp-tab-name-config {
  height: 100%;
  padding-bottom: 0px;
}

.lfp-select-dt-file {
  height: 100%;
  padding-bottom: 0px;
}

.lfp-about-device {
  padding-bottom: 10px;
}

.lfp-rows {
  display: flex;
  padding-bottom: 20px;
  padding-right: 10px;
}

.lfp-input-box {
  height: 35px;
  text-align: left;
  flex-direction: column;
  border: 1px solid black;
  border-radius: 4px;
  font-size: 14px;
  background-color: white;
}

.lfp-label-box-left {
  margin-right: 18px;
}

.lfp-input-box-label {
  width: 47%;
}

.lfp-input-box-size {
  width: 100%;
  padding-left: 5px;
}

.lfp-input-box-required {
  color: red;
  font-weight: bold;
}

div .lfp-rows .e-split {
  border: 1px solid black;
  box-shadow: none;
}

.e-upload-box .e-drag-text {
  color: #444444 !important;
}

div .e-upload-box.e-drag-wrapper.e-upload-box {
  margin: 0px;
  padding: 0px;
}

div .lfp-uploadbox {
  width: 100%;
  height: 90%;
  box-sizing: border-box;
}

div .lfp-uploadbox#_dragWrapper,
div .lfp-uploadbox#uploadbox_dragWrapper {
  border-color: black;
  background-image: url("../images/upload_image.svg");
  /* background-size: 30%; */
  background-repeat: no-repeat;
  background-position-x: center;
  background-position-y: 10%;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(4, 1fr);
  grid-template-areas: ". . ." ". . ." ". . ." "e-drag-container e-drag-container e-drag-container";
  align-items: end !important;
  justify-content: end;
  width: 25vw !important;
  height: 35vh !important;
}

.e-drag-container {
  grid-area: e-drag-container;
}

.lfp-deviceImage {
  width: 50%;
  height: 400px;
  display: block;
}

.lfp-deviceImage div img {
  width: 98%;
  float: right;
}

div li .lfp-breadcrumbs .e-tab.e-js .e-header > .e-item:hover,
.e-tab.e-js .e-left > .e-item.e-disable:hover,
.e-tab.e-js .e-left > .e-item.e-disable {
  background-color: transparent;
  pointer-events: none;
  text-decoration: none;
}

div .lfp-dropdown-btn.e-btn.e-select {
  width: 100%;
  text-align: left;
  border-right: 1px solid black;
  text-transform: none;
}

div .lfp-dropdown-btn.e-btn.e-select:hover {
  background-color: transparent;
  pointer-events: none;
}

div .lfp-dropdown-list .e-menu .e-list > ul,
.e-menu.e-widget.e-split li.e-list {
  background-color: white;
  display: list-item;
  margin: 0px;
  text-transform: none;
  list-style-type: none;
  padding-top: 6px;
}

.lfp-dropdown-list .e-menu.e-context.e-split .e-list > ul,
.e-menu.e-widget.e-split li.e-list:hover {
  background-color: rgba(158, 158, 158, 0.1);
}

div .md-button .lfp-continue-img {
  width: 15px;
  height: 15px;
  padding-bottom: 2px;
}

div .lfp-continue-btn {
  color: white;
  background-color: #004f86;
  margin-top: 10px;
  margin-bottom: 10px;
  margin-left: 10px;
  margin-right: 0px;
  border-radius: 4px;
}

div .lfp-continue-btn:not([disabled]):hover {
  color: white;
  background-color: #004f86;
}

.lfp-uploadbox .e-uploadbox.e-widget .e-inputbtn,
.e-select .e-inputbtn,
ellipse.e-selectpart.e-select:hover {
  background-color: #004f86;
  color: white;
}

#lfp-confirmationGrid {
  width: 100%;
  height: 100%;
  overflow: auto;
}

#lfp-confirmationDisplay {
  display: flex;
  flex-direction: row;
  height: 400px;
}

.Grid {
  width: 50%;
  padding: 20px;
  border: grey;
}

[view=lfp-alternateGridColors] .e-grid .e-table {
  border-top-style: solid;
  border: grey;
}
[view=lfp-alternateGridColors] .e-grid .e-row {
  background-color: #bad2fa !important;
}
[view=lfp-alternateGridColors] .e-grid .e-alt_row {
  background-color: white !important;
}

/*Styles the grid header and hides column header values*/
[view=lfp-gridHeader] .e-grid .e-gridheader .e-headercontent .e-headercell {
  background-color: #a8a8a8;
  color: transparent;
}

#lfp-header {
  font-size: 40px;
}

#lfp-text {
  padding: 20px 10px 20px 0;
}

.ng-scope.ng-isolate-scope.e-uploadbox.e-js.e-widget.lfp-uploadbox,
.ng-scope.e-uploadbox.e-js.e-widget.lfp-uploadbox.e-disable {
  padding-top: -10px;
  padding-bottom: 10px;
}

.lfp-uploadboxcomplete .e-selectpart.e-select.e-box.e-corner {
  display: none;
}

/* lfp slider toggle yes/no button */
/* The slider toggle switch button - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 178px;
  height: 42px;
  border-radius: 0px;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  border: solid;
  border-width: 1px;
  border-color: rgb(99, 98, 98);
  border-radius: 5px;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  background-image: url("../images/x_bl.png");
  background-repeat: no-repeat;
  background-position: 10px;
  content: "No";
  /* color: darkgray; */
  height: 36px;
  width: 88px;
  top: 1px;
  bottom: 2px;
  border-radius: 5px;
  border: solid;
  border-width: 1px;
  border-color: rgb(99, 98, 98);
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

input:checked + .slider {
  background-color: #ccc;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(87px);
  -ms-transform: translateX(87px);
  transform: translateX(87px);
  background-color: #004f86;
  content: "Yes";
  color: white;
  background-image: url("../images/check_wt.png");
  background-repeat: no-repeat;
  background-position: 10px;
}

/* end of lfp slider toggle yes/no button */
.lfp-data-steps {
  display: flex;
  width: 100%;
}

.lfp-data-selection {
  width: 50%;
  margin-left: 20px;
  display: block;
}

.ldp-padding {
  padding: 4px;
}

.ldp-subheader {
  font-size: 1.5em;
  margin-bottom: 25px;
}

div .md-button.ldp-target-button {
  outline: solid 1px;
  margin: 0px;
  margin-right: 10px;
  padding: 0px;
  height: 38px;
  width: 38px;
  min-width: 38px !important;
  border-bottom-left-radius: 0px;
  border-top-left-radius: 0px;
}

div .md-button.ldp-minus-button {
  outline: solid 1px;
  margin: 0px;
  padding: 0px;
  height: 38px;
  width: 38px;
  min-width: 38px !important;
  border-bottom-right-radius: 0px;
  border-top-right-radius: 0px;
  background-color: #004f86 !important;
  color: #004f86;
}

div .md-button.ldp-plus-button {
  outline: solid 1px;
  margin: 0px;
  padding: 0px;
  height: 38px;
  width: 38px;
  min-width: 38px !important;
  border-bottom-right-radius: 0px;
  border-top-right-radius: 0px;
  background-color: #009344 !important;
  color: #009344;
}

.ldp-row-margin-padding {
  padding-right: 0px;
  margin-bottom: 10px;
}

.md-panel-inner-wrapper:has(> .lfp-file-result) {
  background-color: whitesmoke;
  padding: 10px;
  margin: 10px;
  width: 90%;
  max-width: 90%;
}

.edp-icon {
  height: 24px;
}

.edp-format-column {
  font-size: 15px;
}

.edp-ejupload-box {
  border-radius: 10px;
}

.edp-upload-box {
  border-radius: 10px;
  border: dashed 3px #c1c3c5;
}
.edp-upload-box img {
  cursor: pointer;
}
.edp-upload-box #fileUpload {
  display: none;
}

.edp-disabled-upload {
  opacity: 0.5;
}
.edp-disabled-upload img {
  cursor: default;
}

.lfp-file-input-container {
  display: flex;
  width: 100%;
}

.lfp-file-text-input {
  flex: 1; /* Input takes full space */
  padding: 10px;
  max-height: 20px;
  border: 1px solid #ccc;
  border-radius: 5px 5px 5px 5px; /* Rounded sides */
}

.lfp-file-browse-button {
  margin: 0px !important;
  border: 1px solid #ccc !important;
  color: white !important;
  cursor: pointer !important;
  border-radius: 0 5px 5px 0 !important; /* Rounded right side */
}

.lfp-file-browse-button:hover {
  background-color: #0056b3;
}

.lfp-identify-LC-Dv {
  width: 50%;
}

.lfp-identify-LC-Dv-InACell {
  width: 45%;
}

#dvLCInFilenameContainer button.selected {
  background-color: #81C7EA;
}

module-manager-widget a.toolbar-link {
  display: block;
}

module-manager-widget a object.toolbar-icon {
  pointer-events: none;
  height: 18px;
  margin-right: 8px;
}

.highlight-column {
  color: white;
  background-color: #179bd7 !important;
}

.md-button.ssv-small-btn {
  line-height: 30px;
  min-height: 20px;
  margin: 8px 8px;
}

[treecontrol].tree-light li.tree-leaf i.tree-leaf-head {
  padding: 1px 0px !important;
}

.md-button:focus-visible {
  outline: 4px solid #000000 !important;
  outline-offset: 2px !important;
  box-shadow: 0 0 0 6px #f5f5f5 !important;
  z-index: 9999999;
}

md-checkbox.md-focused .md-icon,
.grey-theme-selected .md-button:focus-visible {
  outline: 4px solid #f5f5f5 !important;
  outline-offset: 4px !important;
  box-shadow: 0 0 0 4px #000000 !important;
  z-index: 9999999;
}

.e-tab .e-left > .e-active a {
  font-size: 18px !important;
  color: #3277b2 !important;
}

.e-tab .e-left > .e-item:focus-visible {
  border: 3px solid #000 !important;
}

.userProfileAccessibleSpan {
  transform: translate3d(0, 6px, 0) scale(0.75);
  color: rgba(0, 0, 0, 0.54);
  font-size: 11px;
}

.documentPhotosFilenames {
  font-size: 14px;
  color: #000;
  text-align: left;
  margin-top: 5px;
  margin-bottom: 5px;
  padding-top: 0px !important;
  padding-bottom: 0px !important;
}

li div:focus-visible {
  outline: 2px solid #000000 !important;
  transition: outline 0.2s ease;
  margin: 2px 3px 2px 3px;
}

/*Grid cell/row on focus*/
.e-grid td.e-cellselectionbackground,
.e-grid td.e-selectionbackground {
  background-color: #A3C0E8 !important;
  color: black !important;
}

/*Grid row on hover*/
.e-grid tr.e-hover {
  background-color: #82C4E8 !important;
  color: black !important;
}

/*Black underline: grid column header on focus*/
.e-headercell:focus-within {
  box-shadow: inset 0 -3px 0 0 black !important;
}

/*Style for pager dropdown list*/
#pagination_pagelist li.e-hover,
#_pagelist li.e-hover {
  background-color: #0173c7 !important;
  color: white !important;
  cursor: pointer;
}

/*Highlight grid pager dropdown container*/
.e-pager-itemsinterval:focus-within .e-drpdwndiv {
  outline: 1px solid grey;
}

/*Adjust gap in paginator*/
.e-pager .e-pager-itemsinterval {
  margin-left: 5px;
  padding-left: 0px;
}

/*Grid View: highlight page number icon*/
.e-pagercontainer .e-icon:focus,
.e-numericcontainer .e-link:focus {
  box-shadow: inset 0 -2px 0 0 #000000 !important;
  outline: none !important;
}

/* "..." buttons on the grid view */
.e-pager .e-spacing.e-NP:focus,
.e-pager .e-spacing.e-PP:focus {
  box-shadow: inset 0 -2px 0 0 #000000 !important;
  outline: none !important;
}

/*Enable word wrap on long words exceeding column size*/
.e-rowcell,
.e-rowcell * {
  white-space: normal !important;
  word-break: break-word !important;
  overflow-wrap: normal !important;
}